> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.11.1/faq/technical/api/whats-the-average-response-time-of-a-cloud-api-request.md).

# What’s the average response time of a Cloud API request?

Our cloud services process requests from all products including API. Thus, we are not able to distinguish API requests from the other requests. The average response time for all types of requests is 500 ms. The response time depends on the list of factors: size of the text, language, a number of mistakes, spelling or/and grammar type.

The entry point for all requests is the AWS load balancer that distributes the amount of the request to the running instances. Besides, there is an auto-scaling mechanism that tracks the CPU load on each instance and if the CPU consumption increases on all instances above a certain level, a new instance will be launched.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wproofreader.com/v6.11.1/faq/technical/api/whats-the-average-response-time-of-a-cloud-api-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
